<div class="sidebar-logo">
  <a href="#">
    <img src="../../../../../assets/finance.jpg" alt="logo" />
    <h1>Management Users</h1>
  </a>
</div>
<ul nz-menu nzMode="inline" [nzInlineCollapsed]="akCollapsed">
  <ng-container
    *ngTemplateOutlet="menuTpl; context: { $implicit: menus }"
  ></ng-container>
  <ng-template #menuTpl let-menus>
    <ng-container *ngFor="let menu of menus">
      <li
        *ngIf="!menu.children"
        nz-menu-item
        [nzPaddingLeft]="menu.level * 24"
        [nzDisabled]="menu.disabled"
        [nzSelected]="menu.selected"
        [nzMatchRouter]="true"
        [nzMatchRouterExact]="true"
        (click)="selectedMenu(menu)"
      >
        <a [routerLink]="[menu.route]">
          <span nz-icon [nzType]="menu.icon" *ngIf="menu.icon"></span>
          <span>{{ menu.title | titlecase }}</span>
        </a>
      </li>

      <li
        *ngIf="menu.children"
        nz-submenu
        [nzPaddingLeft]="menu.level * 24"
        [nzOpen]="!akCollapsed ? menu.open : false"
        [nzTitle]="menu.title | titlecase"
        [nzIcon]="menu.icon"
        [nzDisabled]="menu.disabled"
        (nzOpenChange)="openMenu($event)"
      >
        <ul>
          <ng-container
            *ngTemplateOutlet="menuTpl; context: { $implicit: menu.children }"
          ></ng-container>
        </ul>
      </li>
    </ng-container>
  </ng-template>
</ul>
